Bug 438959 - Gnome panel alters one- and two-columnt view when vertical
Gnome panel alters one- and two-columnt view when vertical
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-26 03:27 EDT by Marek Paška
Modified: 2009-07-14 12:16 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:16:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 513347 None None None Never

  None (edit)
Description Marek Paška 2008-03-26 03:27:01 EDT
Description of problem:

GNOME panel window list alters one- and two-column view repeatedly when vertical
and more than 7 windows opened. Eats all CPU. Here is a screencast:

http://www.youtube.com/watch?v=v4GvNbjNlK8

Version-Release number of selected component (if applicable):

Fedora 9, beta 1, GNOME 2.22

How reproducible:


Steps to Reproduce:
1. Drag gnome panel with window list (the bottom one) to the left or right-side
of the screen; the panel is now vertical.
2. Set width of the panel to be at least 32 pixels (enough space to show icons
properly).
3. Open mote than seven windows
  
Actual results:

Window list applet repeatedly repaints showing windows in one and two columns.

Expected results:

The window list should expand or select appropriate one- or two- column view
persistently.

Additional info:
Comment 1 Bug Zapper 2008-05-14 02:51:44 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Marek Paška 2008-06-29 15:30:48 EDT
There are patches proposed for this bug:

http://bugzilla.gnome.org/show_bug.cgi?id=513347#c11
http://bugzilla.gnome.org/show_bug.cgi?id=513347#c12 
Comment 3 Bug Zapper 2009-06-09 19:51:40 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 12:16:56 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.